Subject: Re: [bug#75081] [PATCH] gnu: emacs-next: Update to 30.0.93.

From: Arto Jantunen <[email-masked]>
Date: Fri, 31 Jan 2025 14:07:41 +0200

Liliana Marie Prikler <[email-masked]> writes:
> Am Freitag, dem 31.01.2025 um 11:50 +0200 schrieb Arto Jantunen:
>> 
>> Thanks for the very timely review.
>> 
>> Liliana Marie Prikler <[email-masked]> writes:
>> > Am Freitag, dem 31.01.2025 um 09:20 +0200 schrieb Arto Jantunen:
>> > > Update to the latest pretest.
>> > > ---
>> > There should be a ChangeLog.
>> 
>> I looked at previously applied patches to find a hint about what this
>> might look like, but couldn't find anything. Would you have a
>> documentation reference or an example I could follow?
> This example is so common that we have snippets for them :)
> However, said snippet assumes you're only doing an update, which in
> this v1 at least, you don't.

If you prefer, the minimal-change version looks like this:

>From 93f9a86eddf1ac24be9de1891d653d98cff65f43 Mon Sep 17 00:00:00 2001
Message-Id: <[email-masked]>
From: Arto Jantunen <[email-masked]>
Date: Fri, 31 Jan 2025 13:52:03 +0200
Subject: [PATCH] gnu: emacs-next: Update to 30.0.93-0.68bcabf.

Change-Id: I42ed2626b01c72c6f35a0de74afd317d2a9f6ed8
---
 gnu/packages/emacs.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
index c5e671c6a98f..9a33cb2107db 100644
--- a/gnu/packages/emacs.scm
+++ b/gnu/packages/emacs.scm
@@ -573,12 +573,12 @@ (define-public emacs-wide-int
         #~(cons "--with-wide-int" #$flags))))))
 
 (define-public emacs-next-minimal
-  (let ((commit "881d593a9879f3355733f1b627af7cc0c12b429e")
+  (let ((commit "68bcabf58afddb377d172857ce7648ad3ff09618")
         (revision "0"))
    (package
     (inherit emacs-minimal)
     (name "emacs-next-minimal")
-    (version (git-version "30.0.92" revision commit))
+    (version (git-version "30.0.93" revision commit))
     (source
      (origin
        (method git-fetch)
@@ -587,7 +587,7 @@ (define-public emacs-next-minimal
              (commit commit)))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "0nj3a7wsl5piqf6a8wnmfyjbpxp2dwl0r48flv9q624jx4nxfr2p"))
+        (base32 "05a587a7bnbz8ms45h4hs1c33j8268aymf3y1bpxipl3abi43jlm"))
        (patches
         (search-patches "emacs-disable-jit-compilation.patch"
                         "emacs-next-exec-path.patch"

base-commit: bdd6760b8c46e59f86415d67981acb6f77e9ed22
-- 
2.39.5

My feelings for which is the correct way to do this aren't all that
strong, all I really want is to have the current version of Emacs 30
available (who doesn't like a less buggy Emacs?)..

-- 
Arto Jantunen